@echo off
DEL /f /q pest.stp
echo Replicate model files to the first computing agent PestAgent1
if exist PestAgent1 RMDIR PestAgent1 /S /Q
MKDIR PestAgent1
XCOPY /R /Y /Q settings.fig PestAgent1
XCOPY /R /Y /Q modelrun.bat PestAgent1
XCOPY /R /Y /Q startit PestAgent1
XCOPY /R /Y /Q beopest_agent.bat PestAgent1
XCOPY /R /Y /Q pest.pst PestAgent1
XCOPY /R /Y /Q pest.gridspecification PestAgent1
XCOPY /R /Y /Q pest.borecoordinate PestAgent1
XCOPY /R /Y /Q pest.bcf6 PestAgent1
XCOPY /R /Y /Q pest.headinstruction PestAgent1
XCOPY /R /Y /Q pest.headboreinfo PestAgent1
XCOPY /R /Y /Q pest.boresamplehead PestAgent1
XCOPY /R /Y /Q pest.mod2obsheadinput PestAgent1
XCOPY /R /Y /Q modflow.* PestAgent1 /Exclude:FilesToBeExcluded.txt
XCOPY /R /Y /Q Matrix PestAgent1\Matrix\ 
echo.
echo Replicate files of PestAgent1 to other computing agents
for /l %%x in (2, 1, 6) do (
echo Replicate files to PestAgent%%x
if exist PestAgent%%x RMDIR PestAgent%%x /S /Q
XCOPY /R /Y /Q /S PestAgent1 PestAgent%%x\ 
)
echo.
echo Start all computing agents and the Run Manager
for /l %%x in (1, 1, 6) do (
cd .\PestAgent%%x
start /B /MIN beopest_agent.bat
cd ..
)
echo.
timeout /t 10
"C:/Program Files/Simcore Software/Processing Modflow 11/engine/pest/beopest64.exe" pest.pst /L /H :4004 /p1
echo.
